Bug 1015295 - Servers ignoring If-Modified-Since
Servers ignoring If-Modified-Since
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 16:38 EDT by Derek Higgins
Modified: 2014-03-16 23:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-03 16:43:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Higgins 2013-10-03 16:38:34 EDT
Description of problem:

If requesting a resource and including a http If-Modified-Since header in the http request some mirrors ignore it and return the resource anyways

See snippet of curl output below from the command

$ touch file
$ curl -L -o ./.download.loRc75qz -w '%{http_code}' http://cloud.fedoraproject.org/fedora-latest.i386.qcow2 -z file

some servers seem to do the correct thing while others don't.

=== The way it should be 

> GET http://mirror.hmc.edu/fedora/linux/releases/19/Images/i386/Fedora-i386-19-20130627-sda.qcow2 HTTP/1.1
> User-Agent: curl/7.27.0
> Host: mirror.hmc.edu
> Accept: */*
> Proxy-Connection: Keep-Alive
> If-Modified-Since: Thu, 03 Oct 2013 19:51:39 GMT
> 
< HTTP/1.1 304 Not Modified
< Date: Thu, 03 Oct 2013 19:56:20 GMT
< Server: Apache/2.2.3 (CentOS)
< ETag: "651403f-e0a0000-4e026e482d080"
< X-Cache: MISS from rhev-i16c-02.mpc.lab.eng.bos.redhat.com
< X-Cache-Lookup: MISS from rhev-i16c-02.mpc.lab.eng.bos.redhat.com:3128
< Via: 1.1 rhev-i16c-02.mpc.lab.eng.bos.redhat.com (squid/3.2.13)
< Connection: keep-alive
< 
  0     0    0     0    0     0      0      0 --:--:--  0:00:03 --:--:--     0
* Connection #0 to host 10.16.144.118 left intact
* Closing connection #0
304


=== What happens if server ignore Modified Header

> GET http://mirrors.nebo.edu/public/fedora/linux/releases/19/Images/i386/Fedora-i386-19-20130627-sda.qcow2 HTTP/1.1
> User-Agent: curl/7.27.0
> Host: mirrors.nebo.edu
> Accept: */*
> Proxy-Connection: Keep-Alive
> If-Modified-Since: Thu, 03 Oct 2013 19:51:39 GMT
> 
< HTTP/1.1 200 OK
< Date: Thu, 03 Oct 2013 19:48:14 GMT
< Server: Apache/2.2.15 (CentOS)
< Last-Modified: Thu, 27 Jun 2013 18:25:54 GMT
< ETag: "fe1851-e0a0000-4e026e482d080"
< Accept-Ranges: bytes
< Content-Length: 235536384
< Content-Type: text/plain; charset=UTF-8
< X-Cache: MISS from rhev-i16c-02.mpc.lab.eng.bos.redhat.com
< X-Cache-Lookup: MISS from rhev-i16c-02.mpc.lab.eng.bos.redhat.com:3128
< Via: 1.1 rhev-i16c-02.mpc.lab.eng.bos.redhat.com (squid/3.2.13)
< Connection: keep-alive
< 
* The requested document is not new enough
  0  224M    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
* Closing connection #0
200
Comment 1 Bill Nottingham 2013-10-03 16:43:32 EDT
Unless I'm misunderstanding, you're having issues with individual mirrors.

Fedora does not run each mirror, so there is not anything that Fedora can do here to fix, to the best of my knowledge. It's something that would have to be fixed by the administrator of that mirror.

Closing as CANTFIX.
Comment 2 Derek Higgins 2013-10-03 19:23:24 EDT
Your not misunderstanding it is individual servers I am having problems with. Thanks for the reply.

Note You need to log in before you can comment on or make changes to this bug.